<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Index extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	function __construct()
	{
		parent::__construct();
		$this->load_lang('user/user');
		$this -> load('user'); 
		$this -> user -> online_user();
		$this -> load_db();
		
		$this -> load_model('web_config'); 	//加载模型
		$web_config = $this -> web_config_mod -> get_sys_config();
		//$this -> set_view_dir( $web_config['temp'] -> dir );
		$this -> view -> assign('web_config', $web_config);

		$this -> load('helper'); //加载辅助类
		$user_menu = $this -> web_config_mod ->  get_user_menu();
		$get_menu = $this -> web_config_mod -> get_web_menu();
		$get_link = $this -> web_config_mod -> get_link();
		$get_user_link = $this -> session->get_user_link( $this->lang['user_link'] );
		
		$this -> view -> assign('user_menu',$user_menu);
		$this -> view -> assign('get_menu',$get_menu);
		$this -> view -> assign('get_link',$get_link);
		$this -> view -> assign('get_user_link',$get_user_link);
	}
	
	public function act_default()
	{
		$webtitle = '短信提醒 - 用户中心';
		//处理你现在的位置
		$now_address = '您的位置：<a href="'.BASE_WEBURL.'/">首页</a> > <a href="'.BASE_WEBURL.'/user/">用户中心</a> ';
		$this -> view -> assign('now_address',$now_address);
		
		$this -> view -> display('index.tpl');
	}


}

 